<template>
    <div class="abandoned-cards-container">
        <div class="row">
            <AbandonedCard class="col-lg-4" v-for="(card, index) in abandonedCards" :key="index" :abandoned-card="card"/>
        </div>
        <div>
            <AbandonedTable/>
        </div>
    </div>
</template>

<script>
import AbandonedCard from "../../components/Messenger/abandoned-cards/AbandonedCard";
import AbandonedTable from "../../components/Messenger/abandoned-cards/AbandonedTable";
export default {
    name: "AbandonedCards",
    components: {AbandonedTable, AbandonedCard},
    data: () => ({
        abandonedCards: [
            {
                title: 'Revenue Recovered',
                icon: 'fa fa-window-maximize',
                salesCount: '0.00',
                salesTitle: 'Sales'
            },
            {
                title: 'Abandoned Carts',
                icon: 'fa fa-users',
                salesCount: '0',
                salesTitle: 'Quantity'
            },
            {
                title: 'Orders Recovered',
                icon: 'fa fa-cube',
                salesCount: '0',
                salesTitle: 'Quantity'
            }
        ]
    })
}
</script>

<style scoped>

.abandoned-cards-container {
    margin-top: 40px;
    background: #F5F6FA;
    padding-left: 50px;
    padding-right: 50px;
    width: 100%;
    padding-bottom: 40px;
}

</style>
